Package org.jfree.layouting.modules.output.html

## Class SingleRepositoryURLRewriter

- java.lang.Object
- - org.jfree.layouting.modules.output.html.SingleRepositoryURLRewriter

- All Implemented Interfaces:
    `URLRewriter`

      public class SingleRepositoryURLRewriter
      extends java.lang.Object
      implements URLRewriter

  This URL-Rewriter assumes that both the content and data entity have been created from the same repository. This one builds a relative URL connecting the data entity with the content.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleRepositoryURLRewriter​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `rewrite​(org.pentaho.reporting.libraries.repository.ContentEntity sourceDocument, org.pentaho.reporting.libraries.repository.ContentEntity dataEntity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleRepositoryURLRewriter

          public SingleRepositoryURLRewriter​()

  - ### Method Detail

    - #### rewrite

          public java.lang.String rewrite​(org.pentaho.reporting.libraries.repository.ContentEntity sourceDocument,
                                          org.pentaho.reporting.libraries.repository.ContentEntity dataEntity)
                                   throws URLRewriteException

      Specified by:
        `rewrite` in interface `URLRewriter`
      Throws:
        `URLRewriteException`